Package org.zkoss.zk.ui.select.impl

## Class Selector

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<SimpleSelectorSequence>
      - - org.zkoss.zk.ui.select.impl.Selector

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `java.lang.Iterable<SimpleSelectorSequence>`, `java.util.Collection<SimpleSelectorSequence>`, `java.util.List<SimpleSelectorSequence>`, `java.util.RandomAccess`

      public class Selector
      extends java.util.ArrayList<SimpleSelectorSequence>

  The model representing a selector.
  Since:
    6.0.0
  Author:
    simonpai
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Selector.Combinator` |

  - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Selector​(int selectorIndex)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `attachCombinator​(Selector.Combinator combinator)` | Add combinator to the last simple selector sequence
    `Selector.Combinator` | `getCombinator​(int index)` | Return the i-th combinator
    `int` | `getSelectorIndex()` | Return the index of this selector in a multiple selector sequence.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream, toArray`

    - ### Methods inherited from interface java.util.List

      `containsAll`

- - ### Constructor Detail

    - #### Selector

          public Selector​(int selectorIndex)

  - ### Method Detail

    - #### attachCombinator

          public void attachCombinator​(Selector.Combinator combinator)

      Add combinator to the last simple selector sequence

    - #### getSelectorIndex

          public int getSelectorIndex()

      Return the index of this selector in a multiple selector sequence.

    - #### getCombinator

          public Selector.Combinator getCombinator​(int index)

      Return the i-th combinator

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.AbstractCollection<SimpleSelectorSequence>`